from cpl_core.configuration.configuration_model_abc import ConfigurationModelABC


class ApiSettings(ConfigurationModelABC):
    def __init__(self, port: int = None, host: str = None, redirect_uri: bool = None):
        ConfigurationModelABC.__init__(self)

        self._port = 80 if port is None else port
        self._host = "" if host is None else host
        self._redirect_to_https = False if redirect_uri is None else redirect_uri

    @property
    def port(self) -> int:
        return self._port

    @property
    def host(self) -> str:
        return self._host

    @property
    def redirect_to_https(self) -> bool:
        return self._redirect_to_https
