from bot_data.model.user import User
from bot_graphql.abc.history_query_abc import HistoryQueryABC


class UserHistoryQuery(HistoryQueryABC):
    def __init__(self):
        HistoryQueryABC.__init__(self, "User")

        self.set_field("id", self.resolve_id)
        self.set_field("discordId", self.resolve_discord_id)
        self.set_field("xp", self.resolve_xp)
        self.set_field("server", self.resolve_server)

    @staticmethod
    def resolve_id(user: User, *_):
        return user.id

    @staticmethod
    def resolve_discord_id(user: User, *_):
        return user.discord_id

    @staticmethod
    def resolve_xp(user: User, *_):
        return user.xp

    @staticmethod
    def resolve_server(user: User, *_):
        return user.server
